Bug 431088 - rarian-compat doesn't contain the XML DTD for scrollkeeper OMF files
rarian-compat doesn't contain the XML DTD for scrollkeeper OMF files
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: rarian (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-31 13:11 EST by Nils Philippsen
Modified: 2008-02-15 21:15 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.6.0-3.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-15 21:15:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sample omf.in file (633 bytes, application/xml)
2008-01-31 13:11 EST, Nils Philippsen
no flags Details
sample xml source file (11.52 KB, application/xml)
2008-01-31 13:12 EST, Nils Philippsen
no flags Details

  None (edit)
Description Nils Philippsen 2008-01-31 13:11:26 EST
Description of problem:
Rarian-compat should ship and register the XML DTD (document type definition)
for scrollkeeper OMF files. Scrollkeeper which was shipped until F7 shipped the
file as /usr/share/xml/scrollkeeper/dtds/scrollkeeper-omf.dtd. Not
shipping/registering the file eventually causes xml software to try to fetch the
DTD from the Internet, which causes unnecessary load on the the machine hosting
the original DTD file, or even fail.

NB, this is the doctype containing the original URL of the DTD:

<!DOCTYPE omf PUBLIC "-//OMF//DTD Scrollkeeper OMF Variant V1.0//EN"
"http://scrollkeeper.sourceforge.net/dtds/scrollkeeper-omf-1.0/scrollkeeper-omf.dtd">

Version-Release number of selected component (if applicable):
rarian-0.6.0-1.fc8
rarian-devel-0.6.0-1.fc8
rarian-compat-0.6.0-1.fc8

How reproducible:
Reproducible.

Steps to Reproduce:
1. Download the attached sample files system-config-date.omf.in and
system-config-date-de.xml
2. Disconnect from the Internet (or block access to scrollkeeper.sourceforge.net)
3. run the following command (one line):

xsltproc -o system-config-date-de.omf --stringparam db2omf.basename
system-config-date --stringparam db2omf.format 'docbook' --stringparam
db2omf.dtd "-//OASIS//DTD DocBook XML V4.5//EN" --stringparam db2omf.lang de
--stringparam db2omf.omf_dir "/usr/share/omf" --stringparam db2omf.help_dir
"/usr/share/gnome/help" --stringparam db2omf.omf_in
"$PWD/system-config-date.omf.in" --stringparam db2omf.scrollkeeper_cl
"/usr/share/librarian/Templates/C/scrollkeeper_cl.xml"
/usr/share/xml/gnome/xslt/docbook/omf/db2omf.xsl system-config-date-de.xml
  
Actual results:

Similar to this one where scrollkeeper.sourceforge.net didn't answer in time:

nils@gibraltar:~/src/system-config-date/hosted> make doc-all
xsltproc -o
/home/nils/src/system-config-date/hosted//doc/system-config-date-C.omf
--stringparam db2omf.basename system-config-date --stringparam db2omf.format
'docbook' --stringparam db2omf.dtd "-//OASIS//DTD DocBook XML V4.5//EN"
--stringparam db2omf.lang C --stringparam db2omf.omf_dir "/usr/share/omf"
--stringparam db2omf.help_dir "/usr/share/gnome/help" --stringparam
db2omf.omf_in
"/home/nils/src/system-config-date/hosted//doc/system-config-date.omf.in"
--stringparam db2omf.scrollkeeper_cl
"/usr/share/librarian/Templates/C/scrollkeeper_cl.xml"
/usr/share/xml/gnome/xslt/docbook/omf/db2omf.xsl
/home/nils/src/system-config-date/hosted//doc/C/system-config-date.xml || { rm
-f "/home/nils/src/system-config-date/hosted//doc/system-config-date-C.omf";
exit 1; }
xsltproc -o
/home/nils/src/system-config-date/hosted//doc/system-config-date-de.omf
--stringparam db2omf.basename system-config-date --stringparam db2omf.format
'docbook' --stringparam db2omf.dtd "-//OASIS//DTD DocBook XML V4.5//EN"
--stringparam db2omf.lang de --stringparam db2omf.omf_dir "/usr/share/omf"
--stringparam db2omf.help_dir "/usr/share/gnome/help" --stringparam
db2omf.omf_in
"/home/nils/src/system-config-date/hosted//doc/system-config-date.omf.in"
--stringparam db2omf.scrollkeeper_cl
"/usr/share/librarian/Templates/C/scrollkeeper_cl.xml"
/usr/share/xml/gnome/xslt/docbook/omf/db2omf.xsl
/home/nils/src/system-config-date/hosted//doc/de/system-config-date.xml || { rm
-f "/home/nils/src/system-config-date/hosted//doc/system-config-date-de.omf";
exit 1; }
error : Operation in progress
/home/nils/src/system-config-date/hosted//doc/system-config-date.omf.in:2:
warning: failed to load external entity
"http://scrollkeeper.sourceforge.net/dtds/scrollkeeper-omf-1.0/scrollkeeper-omf.dtd"
p://scrollkeeper.sourceforge.net/dtds/scrollkeeper-omf-1.0/scrollkeeper-omf.dtd"
                                                                               ^

Expected results:

No error message, using local DTD file.
Comment 1 Nils Philippsen 2008-01-31 13:11:26 EST
Created attachment 293614 [details]
sample omf.in file
Comment 2 Nils Philippsen 2008-01-31 13:12:15 EST
Created attachment 293615 [details]
sample xml source file
Comment 3 Matthew Barnes 2008-02-09 22:16:40 EST
Fixed in rarian-0.7.1-2.fc9.

... I think.  You may want to double-check my solution.
Comment 4 Nils Philippsen 2008-02-11 04:41:24 EST
I've rebuilt this as a x86_64 scratch build for F-8 as rarian-0.7.1-0.2.fc8:

http://koji.fedoraproject.org/koji/taskinfo?taskID=414308

I've installed this on my system, added "127.0.0.1 scrollkeeper.sourceforge.net"
to /etc/hosts (to make retrieving the DTD via the internet impossible) and
recreated the omf files, which worked flawlessly.

It would be nice if you could rebuild that version officially for F-8 as well,
I'll reopen the bug for that.
Comment 5 Nils Philippsen 2008-02-11 04:49:12 EST
NB, others seem to suffer from this issue as well:

http://www.w3.org/blog/systeam/2008/02/08/w3c_s_excessive_dtd_traffic
Comment 6 Matthew Barnes 2008-02-11 14:54:15 EST
Applied the same changes to rarian-0.6.0-3.fc8.

Thanks for your help testing this.
Comment 7 Fedora Update System 2008-02-11 14:57:19 EST
rarian-0.6.0-3.fc8 has been submitted as an update for Fedora 8
Comment 8 Fedora Update System 2008-02-13 00:05:26 EST
rarian-0.6.0-3.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rarian'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-1538
Comment 9 Fedora Update System 2008-02-15 21:15:15 EST
rarian-0.6.0-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.